COMPRESS(1)

NAME
compress, uncompress, zcat - compress a file using modified Lempel-Ziv coding

SYNOPSIS
compress [-cdfv] [file] ...

OPTIONS

-c  # Put output on stdout instead of on file.Z

-d  # Decompress instead of compress

-f  # Force output even if there is no saving

-v  # Verbose mode

EXAMPLES

compress <infile >outfile
    # Compress 1 file

compress x y z
    # Compress 3 files to x.Z, y.Z, and z.Z

compress -d file.Z
    # Decompress file.Z to file

DESCRIPTION

The listed files (or stdin, if none are given) are compressed using the Ziv-Lempel algorithm. If the output is smaller than the input, the output is put on file.Z or stdout if no files are listed. If compress is linked to uncompress, the latter is the same as giving the -d flag. Similarly, a link to zcat decompresses to stdout. The MINIX 3 version of compress uses 13-bit compression. This means that when compressing files on other systems for transmission to MINIX 3, be sure that only 13-bit compression is used. On many systems, the default is 16-bit (too big).

SEE ALSO
tar(1).